# knot.nvim
knot.nvim is a plugin for [Neovim](https://neovim.io/) that provides a way to view and edit DNS records using [knot](https://www.knot-dns.cz/) via [knotctl](https://code.smolnet.org/micke/knotctl).

## Installation
With [lazy.nvim](https://github.com/folke/lazy.nvim):
```lua
  {
    "https://code.smolnet.org/micke/knot.nvim.git",
    dependencies = {
      "nvim-telescope/telescope.nvim",
    },
    config = function()
      require("telescope").load_extension('telescope_knot')
    end,
  },

```
## Dependencies
You need to have [knotctl](https://code.smolnet.org/micke/knotctl) installed and configured on your system.
If knotctl works for you in your terminal, it should work in this plugin as well.

## Usage
This plugin provides a Telescope picker for viewing and editing DNS records. You can summon it with:
```vim
:Telescope telescope_knot
```

or add a mapping:
```vim
nnoremap <leader>k :Telescope telescope_knot<cr>
```

## Screenshots
### The finder and previewer
![Viewer](https://code.smolnet.org/micke/knot.nvim/raw/branch/main/screenshots/viewer.png)
### Editing a record
![Editor](https://code.smolnet.org/micke/knot.nvim/raw/branch/main/screenshots/editor.png)
